Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.panel
Class RoundedPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.CellPanel
                          com.google.gwt.user.client.ui.DockPanel
                              org.eclipse.higgins.ics.gwt.base.client.panel.RoundedPanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasAlignment, com.google.gwt.user.client.ui.HasHorizontalAlignment, com.google.gwt.user.client.ui.HasVerticalAlignment, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.IndexedPanel

Direct Known Subclasses:
  RoundedPanelDialog

public class RoundedPanel
extends com.google.gwt.user.client.ui.DockPanel

Author:
  Alexander Yuhimenko

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.DockPanel
`com.google.gwt.user.client.ui.DockPanel.DockLayoutConstant`

Nested classes inherited from class com.google.gwt.user.client.ui.HasHorizontalAlignment
`com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes inherited from class com.google.gwt.user.client.ui.HasVerticalAlignment
`com.google.gwt.user.client.ui.HasVerticalAlignment.VerticalAlignmentConstant`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.DockPanel
`CENTER, EAST, NORTH, SOUTH, WEST`

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Constructor Summary
`RoundedPanel(com.google.gwt.user.client.ui.Widget widget)`

Method Summary
`com.google.gwt.user.client.ui.Widget` | `getBodyWidget()`
`com.google.gwt.user.client.ui.Image` | `getImageTopRt()`
`String` | `getStyleRoundedPanel()`
`String` | `getStyleRoundedPanelEast()`
`String` | `getStyleRoundedPanelNoth()`
`void` | `setHeight(String height)`
`void` | `setPixelSize(int width, int height)`
`void` | `setSize(String width, String height)`
`void` | `setWidth(String width)`

Methods inherited from class com.google.gwt.user.client.ui.DockPanel
`add, getHorizontalAlignment, getVerticalAlignment, getWidgetDirection, remove, setCellHeight, setCellHorizontalAlignment, setCellVerticalAlignment, setCellWidth, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class com.google.gwt.user.client.ui.CellPanel
`getSpacing, setBorderWidth, setSpacing`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`getWidget, getWidgetCount, getWidgetIndex, iterator, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, clear`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoundedPanel

    public RoundedPanel(com.google.gwt.user.client.ui.Widget widget)

Method Detail

### setHeight

    public void setHeight(String height)

### setPixelSize

    public void setPixelSize(int width,
                             int height)

### setSize

    public void setSize(String width,
                        String height)

### setWidth

    public void setWidth(String width)

### getBodyWidget

    public com.google.gwt.user.client.ui.Widget getBodyWidget()

  Returns:
    the bodyWidget

### getStyleRoundedPanel

    public String getStyleRoundedPanel()

  Returns:
    the styleRoundedPanel

### getStyleRoundedPanelEast

    public String getStyleRoundedPanelEast()

  Returns:
    the styleRoundedPanelEast

### getStyleRoundedPanelNoth

    public String getStyleRoundedPanelNoth()

  Returns:
    the styleRoundedPanelNoth

### getImageTopRt

    public com.google.gwt.user.client.ui.Image getImageTopRt()

  Returns:
    the imageTopRt

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD